Package com.io7m.smfj.parser.api

## Class SMFParseWarning.Builder

- java.lang.Object
- - com.io7m.smfj.parser.api.SMFParseWarning.Builder

- Enclosing class:
    SMFParseWarning

      public static final class SMFParseWarning.Builder
      extends java.lang.Object

  Builds instances of type `SMFParseWarning`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SMFParseWarning` | `build()` | Builds a new `SMFParseWarning`.
    `SMFParseWarning.Builder` | `from​(SMFWarningType instance)` | Fill a builder with attribute values from the provided `com.io7m.smfj.core.SMFWarningType` instance.
    `SMFParseWarning.Builder` | `from​(SMFParseWarningType instance)` | Fill a builder with attribute values from the provided `com.io7m.smfj.parser.api.SMFParseWarningType` instance.
    `SMFParseWarning.Builder` | `setException​(java.lang.Exception exception)` | Initializes the optional value `exception` to exception.
    `SMFParseWarning.Builder` | `setException​(java.util.Optional<? extends java.lang.Exception> exception)` | Initializes the optional value `exception` to exception.
    `SMFParseWarning.Builder` | `setLexical​(com.io7m.jlexing.core.LexicalPosition<java.net.URI> lexical)` | Initializes the value for the `lexical` attribute.
    `SMFParseWarning.Builder` | `setMessage​(java.lang.String message)` | Initializes the value for the `message` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFParseWarning.Builder from​(SMFWarningType instance)

      Fill a builder with attribute values from the provided `com.io7m.smfj.core.SMFWarningType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final SMFParseWarning.Builder from​(SMFParseWarningType instance)

      Fill a builder with attribute values from the provided `com.io7m.smfj.parser.api.SMFParseWarningType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setLexical

          public final SMFParseWarning.Builder setLexical​(com.io7m.jlexing.core.LexicalPosition<java.net.URI> lexical)

      Initializes the value for the `lexical` attribute.
      Parameters:
        `lexical` - The value for lexical
      Returns:
        `this` builder for use in a chained invocation

    - #### setMessage

          public final SMFParseWarning.Builder setMessage​(java.lang.String message)

      Initializes the value for the `message` attribute.
      Parameters:
        `message` - The value for message
      Returns:
        `this` builder for use in a chained invocation

    - #### setException

          public final SMFParseWarning.Builder setException​(java.lang.Exception exception)

      Initializes the optional value `exception` to exception.
      Parameters:
        `exception` - The value for exception
      Returns:
        `this` builder for chained invocation

    - #### setException

          public final SMFParseWarning.Builder setException​(java.util.Optional<? extends java.lang.Exception> exception)

      Initializes the optional value `exception` to exception.
      Parameters:
        `exception` - The value for exception
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public SMFParseWarning build()

      Builds a new `SMFParseWarning`.
      Returns:
        An immutable instance of SMFParseWarning
      Throws:
        `java.lang.IllegalStateException` - if any required attributes are missing